Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.dom
Class DocumentTypeImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.ParentNode
                  weblogic.apache.xerces.dom.DocumentTypeImpl

All Implemented Interfaces:
  Serializable, Cloneable, DocumentType, EventTarget, Node, NodeList

Direct Known Subclasses:
  DeferredDocumentTypeImpl

Deprecated. please use JDK supplied XML parsers and transformers

    public class DocumentTypeImpl

extends ParentNode
implements DocumentType

This class represents a Document Type declaraction in the document itself, not a Document Type Definition (DTD). An XML document may (or may not) have such a reference.

DocumentType is an Extended DOM feature, used in XML documents but not in HTML.

Note that Entities and Notations are no longer children of the DocumentType, but are parentless nodes hung only in their appropriate NamedNodeMaps.

This area is UNDERSPECIFIED IN REC-DOM-Level-1-19981001 Most notably, absolutely no provision was made for storing and using Element and Attribute information. Nor was the linkage between Entities and Entity References nailed down solidly.

Since:
  PR-DOM-Level-1-19980818.
See Also:
  Serialized Form

Field Summary
`protected NamedNodeMapImpl` | `elements` Deprecated. Elements.
`protected NamedNodeMapImpl` | `entities` Deprecated. Entities.
`protected String` | `internalSubset` Deprecated.
`protected String` | `name` Deprecated. Document type name.
`protected NamedNodeMapImpl` | `notations` Deprecated. Notations.
`protected String` | `publicID` Deprecated.
`protected String` | `systemID` Deprecated.

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`DocumentTypeImpl(CoreDocumentImpl ownerDocument, String name)` Deprecated. Factory method for creating a document type node.
`DocumentTypeImpl(CoreDocumentImpl ownerDocument, String qualifiedName, String publicID, String systemID)` Deprecated. Factory method for creating a document type node.

Method Summary
`Node` | `cloneNode(boolean deep)` Deprecated. Clones the node.
`NamedNodeMap` | `getElements()` Deprecated. NON-DOM: Access the collection of ElementDefinitions.
`NamedNodeMap` | `getEntities()` Deprecated. Access the collection of general Entities, both external and internal, defined in the DTD.
`String` | `getInternalSubset()` Deprecated. Introduced in DOM Level 2.
`String` | `getName()` Deprecated. Name of this document type.
`String` | `getNodeName()` Deprecated. Returns the document type name
`short` | `getNodeType()` Deprecated. A short integer indicating what type of node this is.
`NamedNodeMap` | `getNotations()` Deprecated. Access the collection of Notations defined in the DTD.
`String` | `getPublicId()` Deprecated. Introduced in DOM Level 2.
`String` | `getSystemId()` Deprecated. Introduced in DOM Level 2.
`String` | `getTextContent()` Deprecated. This attribute returns the text content of this node and its descendants.
`void` | `setInternalSubset(String internalSubset)` Deprecated. NON-DOM.
`void` | `setReadOnly(boolean readOnly, boolean deep)` Deprecated. NON-DOM: Subclassed to flip the entities' and notations' readonly switch as well.
`void` | `setTextContent(String textContent)` Deprecated. This attribute returns the text content of this node and its descendants.

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, isEqualNode, item, normalize, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getAttributes, getBaseURI, getInterface, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, hasAttributes, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, synchronizeData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setUserData`

Field Detail

### name

    protected String name

  Deprecated.
  Document type name.

### entities

    protected NamedNodeMapImpl entities

  Deprecated.
  Entities.

### notations

    protected NamedNodeMapImpl notations

  Deprecated.
  Notations.

### elements

    protected NamedNodeMapImpl elements

  Deprecated.
  Elements.

### publicID

    protected String publicID

  Deprecated.

### systemID

    protected String systemID

  Deprecated.

### internalSubset

    protected String internalSubset

  Deprecated.

Constructor Detail

### DocumentTypeImpl

    public DocumentTypeImpl(CoreDocumentImpl ownerDocument,
                            String name)

  Deprecated.
  Factory method for creating a document type node.

### DocumentTypeImpl

    public DocumentTypeImpl(CoreDocumentImpl ownerDocument,
                            String qualifiedName,
                            String publicID,
                            String systemID)

  Deprecated.
  Factory method for creating a document type node.

Method Detail

### getPublicId

    public String getPublicId()

  Deprecated.
  Introduced in DOM Level 2.

  Return the public identifier of this Document type.

  Specified by:
    `getPublicId` in interface `DocumentType`
  Since:
    WD-DOM-Level-2-19990923

### getSystemId

    public String getSystemId()

  Deprecated.
  Introduced in DOM Level 2.

  Return the system identifier of this Document type.

  Specified by:
    `getSystemId` in interface `DocumentType`
  Since:
    WD-DOM-Level-2-19990923

### setInternalSubset

    public void setInternalSubset(String internalSubset)

  Deprecated.
  NON-DOM.

  Set the internalSubset given as a string.

### getInternalSubset

    public String getInternalSubset()

  Deprecated.
  Introduced in DOM Level 2.

  Return the internalSubset given as a string.

  Specified by:
    `getInternalSubset` in interface `DocumentType`
  Since:
    WD-DOM-Level-2-19990923

### getNodeType

    public short getNodeType()

  Deprecated.
  A short integer indicating what type of node this is. The named constants for this value are defined in the org.w3c.dom.Node interface.

  Specified by:
    `getNodeType` in interface `Node`
  Specified by:
    `getNodeType` in class `NodeImpl`

### getNodeName

    public String getNodeName()

  Deprecated.
  Returns the document type name

  Specified by:
    `getNodeName` in interface `Node`
  Specified by:
    `getNodeName` in class `NodeImpl`

### cloneNode

    public Node cloneNode(boolean deep)

  Deprecated.
  Clones the node.

  Specified by:
    `cloneNode` in interface `Node`
  Overrides:
    `cloneNode` in class `ParentNode`
  See Also:
    `

    Example: Cloning a Text node will copy both the node and the text it contains.

    Example: Cloning something that has children -- Element or Attr, for example -- will _not_ clone those children unless a "deep clone" has been requested. A shallow clone of an Attr node will yield an empty Attr of the same name.

    NOTE: Clones will always be read/write, even if the node being cloned is read-only, to permit applications using only the DOM API to obtain editable copies of locked portions of the tree.

    `

### getTextContent

    public String getTextContent()
                          throws DOMException

  Deprecated.
  Description copied from class: `NodeImpl`
  This attribute returns the text content of this node and its descendants. When it is defined to be null, setting it has no effect. When set, any possible children this node may have are removed and replaced by a single `Text` node containing the string this attribute is set to. On getting, no serialization is performed, the returned string does not contain any markup. No whitespace normalization is performed, the returned string does not contain the element content whitespaces . Similarly, on setting, no parsing is performed either, the input string is taken as pure textual content.
  The string returned is made of the text content of this node depending on its type, as defined below:

  Node type | Content
  --- | ---
  ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, DOCUMENT_FRAGMENT_NODE | concatenation of the `textContent` attribute value of every child node, excluding COMMENT_NODE and PROCESSING_INSTRUCTION_NODE nodes
  ATTRIBUTE_NODE, TEXT_NODE, CDATA_SECTION_NODE, COMMENT_NODE, PROCESSING_INSTRUCTION_NODE | `nodeValue`
  DOCUMENT_NODE, DOCUMENT_TYPE_NODE, NOTATION_NODE | null

  Specified by:
    `getTextContent` in interface `Node`
  Overrides:
    `getTextContent` in class `ParentNode`
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

### setTextContent

    public void setTextContent(String textContent)
                        throws DOMException

  Deprecated.
  Description copied from class: `NodeImpl`
  This attribute returns the text content of this node and its descendants. When it is defined to be null, setting it has no effect. When set, any possible children this node may have are removed and replaced by a single `Text` node containing the string this attribute is set to. On getting, no serialization is performed, the returned string does not contain any markup. No whitespace normalization is performed, the returned string does not contain the element content whitespaces . Similarly, on setting, no parsing is performed either, the input string is taken as pure textual content.
  The string returned is made of the text content of this node depending on its type, as defined below:

  Node type | Content
  --- | ---
  ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, DOCUMENT_FRAGMENT_NODE | concatenation of the `textContent` attribute value of every child node, excluding COMMENT_NODE and PROCESSING_INSTRUCTION_NODE nodes
  ATTRIBUTE_NODE, TEXT_NODE, CDATA_SECTION_NODE, COMMENT_NODE, PROCESSING_INSTRUCTION_NODE | `nodeValue`
  DOCUMENT_NODE, DOCUMENT_TYPE_NODE, NOTATION_NODE | null

  Specified by:
    `setTextContent` in interface `Node`
  Overrides:
    `setTextContent` in class `ParentNode`
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised when the node is readonly.

### getName

    public String getName()

  Deprecated.
  Name of this document type. If we loaded from a DTD, this should be the name immediately following the DOCTYPE keyword.

  Specified by:
    `getName` in interface `DocumentType`

### getEntities

    public NamedNodeMap getEntities()

  Deprecated.
  Access the collection of general Entities, both external and internal, defined in the DTD. For example, in:

         <!doctype example SYSTEM "ex.dtd" [
           <!ENTITY foo "foo">
           <!ENTITY bar "bar">
           <!ENTITY % baz "baz">
           ]>

  The Entities map includes foo and bar, but not baz. It is promised that only Nodes which are Entities will exist in this NamedNodeMap.

  For HTML, this will always be null.

  Note that "built in" entities such as & and < should be converted to their actual characters before being placed in the DOM's contained text, and should be converted back when the DOM is rendered as XML or HTML, and hence DO NOT appear here.

  Specified by:
    `getEntities` in interface `DocumentType`

### getNotations

    public NamedNodeMap getNotations()

  Deprecated.
  Access the collection of Notations defined in the DTD. A notation declares, by name, the format of an XML unparsed entity or is used to formally declare a Processing Instruction target.

  Specified by:
    `getNotations` in interface `DocumentType`

### setReadOnly

    public void setReadOnly(boolean readOnly,
                            boolean deep)

  Deprecated.
  NON-DOM: Subclassed to flip the entities' and notations' readonly switch as well.

  Overrides:
    `setReadOnly` in class `ParentNode`
  Parameters:
    `readOnly` - True or false as desired.
    `deep` - If true, children are also toggled. Note that this will not change the state of an EntityReference or its children, which are always read-only.
  See Also:
    `NodeImpl.setReadOnly(boolean, boolean)`

### getElements

    public NamedNodeMap getElements()

  Deprecated.
  NON-DOM: Access the collection of ElementDefinitions.

  See Also:
    `ElementDefinitionImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD